package com.inspect.maintain.service;

import com.inspect.base.core.domain.maintain.MaintainRegion;

import java.util.List;

public interface IMaintainRegionService {
    MaintainRegion selectMaintainRegionByLineId(Long lineId);

    List<MaintainRegion> selectMaintainRegionList(MaintainRegion region);

    int insertMaintainRegion(MaintainRegion region);

    int updateMaintainRegion(MaintainRegion region);

    int deleteMaintainRegionByLineIds(Long[] lineIds);

    int deleteMaintainRegionByLineId(Long lineId);

    boolean checkConfigCodeUnique(String configCode);

    int insertMaintainRegionWithConfigCode(MaintainRegion maintainRegion);
}
